import request from '@/utils/request'
const baseUrl = '/api/service-ai-eis-route-center-eistest'
export function getContainerLocationByContainerNoAndPalletNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/containerLocation/get-containerLocation-containerNoAndPalletNo',
    method: 'get',
    params: params,
    // params: params
  })
}

export function add(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '//api/v1/route/carry/save-carry',
    method: 'post',
    data: params,
    // params: params
  })
}

// stationupdate
export function stationupdate(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/update',
    method: 'post',
    data: params,
    // params: params
  })
}

//   /eisStationService/station/delete

export function stationdelete(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/eisStationService/station/delete',
    method: 'post',
    //   data: params,
    params: params,
  })
}

//取消调度任务
// //api/v1/route/carry/clean-carry
export function carrytask(params) {
  return request({
    url: baseUrl + '//api/v1/route/carry/clean-carry',
    method: 'get',
    //   data: params,
    params: params,
  })
}

export function seachLocationNo(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/route/location/seachLocationNo',
    method: 'post',
    data: params,
    //   params: params
  })
}
//
// updatePriority

export function updatePriority(params) {
  return request({
    // url: 'mapi/eis/containerMonitoring',
    url: baseUrl + '/api/v1/route/carry/updatepriority',
    method: 'post',
    data: params,
    // params: params
  })
}
